Index: adminmenus.php
===================================================================
--- adminmenus.php	(revision 169171)
+++ adminmenus.php	(working copy)
@@ -1,11 +1,5 @@
 <?php
 
-if (function_exists('wp_enqueue_style')) {
-	wp_enqueue_script('jquery');
-	wp_enqueue_script('thickbox');
-	wp_enqueue_style('thickbox');
-}
-
 //Write Manage Menu
 function wp125_write_managemenu() {
 echo '<div class="wrap">
Index: wp125.php
===================================================================
--- wp125.php	(revision 169171)
+++ wp125.php	(working copy)
@@ -61,20 +61,28 @@
 
 
 
+//Add the Admin Menus
+add_action('admin_menu', 'wp125_add_admin_menu');
+function wp125_add_admin_menu() {
+	load_plugin_textdomain('wp125', PLUGINDIR.'/'.dirname(plugin_basename(__FILE__)).'/translations', dirname(plugin_basename(__FILE__)).'/translations');
+	$pages = array();
+	$pages[] = add_menu_page(__("125x125 Ads", 'wp125'), __("Ads", 'wp125'), MANAGEMENT_PERMISSION, __FILE__, "wp125_write_managemenu");
+	$pages[] = add_submenu_page(__FILE__, __("Manage 125x125 Ads", 'wp125'), __("Manage", 'wp125'), MANAGEMENT_PERMISSION, __FILE__, "wp125_write_managemenu");
+	$pages[] = add_submenu_page(__FILE__, __("Add/Edit 125x125 Ads", 'wp125'), __("Add/Edit", 'wp125'), MANAGEMENT_PERMISSION, 'wp125_addedit', "wp125_write_addeditmenu");
+	$pages[] = add_submenu_page(__FILE__, __("125x125 Ad Settings", 'wp125'), __("Settings", 'wp125'), MANAGEMENT_PERMISSION, 'wp125_settings', "wp125_write_settingsmenu");
+	
+	foreach ( $pages as $my_page )
+		add_action('admin_print_scripts-' . $my_page, 'wp125_register_scripts_styles', 9); //Add it a little earlier.
 
-//Add the Admin Menus
-if (is_admin()) {
-	function wp125_add_admin_menu() {
-		load_plugin_textdomain('wp125', PLUGINDIR.'/'.dirname(plugin_basename(__FILE__)).'/translations', dirname(plugin_basename(__FILE__)).'/translations');
-		add_menu_page(__("125x125 Ads", 'wp125'), __("Ads", 'wp125'), MANAGEMENT_PERMISSION, __FILE__, "wp125_write_managemenu");
-		add_submenu_page(__FILE__, __("Manage 125x125 Ads", 'wp125'), __("Manage", 'wp125'), MANAGEMENT_PERMISSION, __FILE__, "wp125_write_managemenu");
-		add_submenu_page(__FILE__, __("Add/Edit 125x125 Ads", 'wp125'), __("Add/Edit", 'wp125'), MANAGEMENT_PERMISSION, 'wp125_addedit', "wp125_write_addeditmenu");
-		add_submenu_page(__FILE__, __("125x125 Ad Settings", 'wp125'), __("Settings", 'wp125'), MANAGEMENT_PERMISSION, 'wp125_settings', "wp125_write_settingsmenu");
-	}
 	//Include menus
 	require_once(dirname(__FILE__).'/adminmenus.php');
 }
 
+function wp125_register_scripts_styles() {
+	wp_enqueue_script('jquery');
+	wp_enqueue_script('thickbox');
+	wp_enqueue_style('thickbox');
+}
 
 
 //Check Ad Date, and deactivate if the time is up
